/* 20260612 커뮤니티 '우리선배 합격기업' 추가 */

/* ------------------------------------ */
/* 우리선배 합격기업 */
/* ------------------------------------ */
.univ_search_box {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 60px;
  margin-top: 40px;
  padding: 60px 0;
  background-color: var(--light-blue);
}
.senior_univ_search,
.senior_major_search {
  display: flex;
  align-items: center;
  gap: 20px;
}
.search_label {
  font-size: 1.8rem;
  font-weight: 600;
}
.form_input_row.mt0 {
  margin-top: 0;
}
.senior_univ_search .form_input_row{
  width: 280px;
}
.senior_major_search .form_input_row {
  width: 340px;
}
.senior_search_btn {
  width: 200px;
  margin: 40px auto 0;
}

/* ------------------------------------ */
/* 내 스펙 합격예측 검색 페이지 */
/* ------------------------------------ */
.company_search_box {
  margin-top: 40px;
  border-top: 2px solid var(--black-80);
  border-bottom: 2px solid var(--black-80);
}
.company_part_search {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  padding: 40px 0;
  background-color: var(--light-blue);
}
.btn_part_select {
  width: 234px;
  height: 44px;
  padding: 10px 30px 10px 10px;
  background-color: var(--white);
  border: 1px solid var(--black-10);
  border-radius: 2px;
  color: var(--black-30);
  font-size: 1.4rem;  
  text-align: left;
}
.btn_part_select.on { 
  color:#000;
}
.btn_part_search {
  width: 80px;
}
.btn_part_search button {
  width: 100%;
}

.btn_part_search.mlm10 {
  margin-left:-10px
}

.btn_company_search {
  width: 80px;
}
.btn_company_search button {
  width: 100%;
}

.btn_company_search.mlm10 {
  margin-left:-10px
}

.spec_select_li li {
  border-bottom: 1px solid var(--black-10);
}
.spec_select_row {
  display: flex;
  align-items: center;
  gap: 30px;
  padding: 30px 0;
}
.spec_select_tit {
  flex-shrink: 0;
  width: 142px;
  font-size: 1.8rem;
  font-weight: 600;
}
.spec_select_option {
  display: flex;
  align-items: center;
  gap: 20px;
  width: 1068px;
}
.spec_select_option>div {
  display: flex;
  align-items: center;
  gap: 10px; 
}

/* 스펙 선택 radio 커스텀 스타일 */
.spec_select_item input[type="radio"],
.spec_select_item input[type="checkbox"] {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}
.spec_select_item label {
  display: inline-block;
  width: 105px;
  padding: 15px 0;
  background-color: var(--light-gray); 
  border: 1px solid transparent;
  border-radius: 50px; 
  cursor: pointer;
  user-select: none;
  font-size: 1.4rem;
  text-align: center;
  transition: all 0.15s ease;
}    
.spec_select_item input[type="radio"]:checked + label,
.spec_select_item input[type="checkbox"]:checked + label {
  background-color: var(--white);
  border-color: var(--black-80);
}
.form_direct_input {
  width: 100px;
}
.spec_select_tit_english {
  display: flex;
  align-items: center;
  gap: 10px;
}
.spec_select_tit_english .form_select_row {
  width: 100px;
}

/* 지원분야 선택 modal */
.modal_part_select {
  width: 400px;
}
.part_select_wrap {
  width: 100%;
  height: 360px;
  overflow-x: hidden;
  overflow-y: auto;
  border-top: 2px solid var(--black-80);
  border-bottom: 2px solid var(--black-80);
}
.part_select_li li {
  padding: 14px 20px 13px;
  border-bottom: 1px solid var(--light-gray);
  color: var(--black-80);
  font-size: 1.3rem;
  cursor: pointer;  
}
.part_select_li li.selected {
  background-color: var(--bg-light-blue);
}
.part_select_li li:last-child {
  border-bottom: none;
}
.part_btn_row button {
  width: 160px;
}

/* ------------------------------------ */
/* 내 스펙 합격예측 결과 페이지 */
/* ------------------------------------ */
.report_section {
  margin-bottom: 60px;
  padding-top: 16px;
} 
.report_section:first-of-type {
  margin-top: 20px;
  padding-top: 0;
}
.predict_result {
  padding-top: 16px;
  border-top: 4px solid var(--black-80);
}
.predict_tit {
  font-size: 2.6rem;
  font-weight: 700;
}
.chart_field_box {
  margin-top: 44px;
  padding: 40px;
  border: 1px solid var(--black-10);
}
.match_field {
  display: flex;
  align-items: center;
}
.match_item {
  display: flex;
  justify-content: center;
  gap: 20px;
  flex: 1;
}
.match_field .match_item.part {
  border-right: 1px solid var(--black-10);
}
.match_tit {
  margin-bottom: 20px;
  font-size: 1.8rem;
}
.match_num1 {
  font-size: 1.8rem;
  font-weight: 600;
}
.match_num1 .my_score {
  font-size: 4.8rem;
}
.donut_chart_wrap {
  flex-shrink: 0;
  position: relative;
  width: 200px;
}
/* donut chart */
.donut_chart {
  --thickness: 96px;
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  background: conic-gradient(from 0deg,#42b7ff 0%,#4a79ff calc(var(--percent) * 1% - 0.1%),#f3f5fc calc(var(--percent) * 1%),#f3f5fc 100%);
}
.donut_chart::after {
  content: "";
  position: absolute;
  inset: var(--thickness);
  border-radius: 50%;
  background: #f3f5fc;
}
.donut_chart_hole {
  position: absolute;
  top: 68px;
  left: 68px;
  width: 64px;
  height: 64px;
  border-radius: 50%;
  background-color: var(--light-blue);
}
.match_num_box {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  bottom: 0;
  right: 0;
  width: 48px;
  height: 48px;
  background-color: var(--white);
  border-radius: 50%;
  box-shadow: 0 10px 8px 0 rgba(53, 51, 63, 0.04);
}
.match_num2 {
  display: inline-flex;
  align-items: start;
  color: var(--notice-em);
  font-size: 2rem;
  font-weight: 600;
}
.num_unit {
  font-size: 1.3rem;
}
.match_desc {
  margin-top: 50px;
  color: var(--black-60);
  text-align: center;
  line-height: 1.5;
}
.match_desc_box {
  position: relative;
  margin-top: 50px;
  padding: 20px 20px 20px 170px;
  background-color: var(--light-blue);
  color: var(--black-80);
  font-size: 1.5rem;
  line-height: 1.8;
}
.match_desc_box:before {
  content: '';
  position: absolute;
  top: 20px;
  left: 20px;
  width: 130px;
  height: 131px;
  background: url(https://image.educe.co.kr/educe/spec/ic_ai.png) no-repeat left top/100%;
}

.match_desc_box dt{font-weight: 700;}
.match_desc_box dd {line-height: 150%}
.match_desc_box dd.first{margin-bottom:1rem}
.radar_field {
  display: flex;
}
.radar_field>div {
  display: flex;
  justify-content: center;
  flex: 1;
}
.radar_field>div:first-child {
  border-right: 1px solid var(--black-10);
}
.radar_chart_box {
  position: relative;
  width: 480px;
}
.radar_chart_tit {
  position: absolute;
  top: 0;
  left: 0;
  width: 200px;
  font-size: 1.8rem;
  font-weight: 600;
  line-height: 1.4;
}
.radar_tit_company {
  display: inline-block;
  margin-top: 5px;
  color: var(--notice-em);
  font-size: 1.6rem;
}
.chart_container {
  width: 480px;
  height: 280px;
}
.spec_feedback_field {
  display: flex;
  margin-top: 40px;
  padding: 30px;
  background-color: var(--bg-light-gray);
}
.feedback_item:nth-child(1) {
  padding: 0 60px 0 42px;
  /*border-right: 1px solid var(--black-10);*/
      flex: 1;
    width: 100%;
}
.feedback_item:nth-child(2) {
  padding-left: 20px;
      flex: 1;
    width: 100%;
}
.feedback_label {
  position: relative;
  color: var(--black-100);
  font-size: 1.8rem;
  font-weight: 600;
}
.feedback_label:before {
  content: '';
  position: absolute;
  top: -5px;
  left: -42px;
  width: 32px;
  height: 32px;
}
.strength .feedback_label:before {
  background: url(https://image.educe.co.kr/educe/spec/ic_good.png) no-repeat left top/100%;
}
.weakness .feedback_label:before {
  background: url(https://image.educe.co.kr/educe/spec/ic_bad.png) no-repeat left top/100%;
}
.feedback_desc {
  margin-top: 10px;
  line-height: 1.5;
}

.feedback_desc.none{color:#929292}
.spec_card_li {
  display: flex;
  flex-wrap: wrap;
  gap: 32px;
  margin-top: 44px;
}
.spec_card_li>li {
  width: 390px;
  padding: 30px;
  background-color: var(--bg-light-gray);
  border: 1px solid var(--black-10);
}
.spec_card_tit_row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.spec_card_tit {
  font-weight: 600;
}
.spec_tag {
  display: inline-block;
  padding: 6px;
  border-radius: 4px 0;
  font-size: 1.4rem;
  font-weight: 600;
}
.spec_tag.under {
  border: 1px solid var(--notice-em);
  background: rgba(72, 111, 249, 0.10);  
  color: var(--notice-em);
}
.spec_tag.over {
  border: 1px solid var(--notice-alert);
  background: rgba(255, 82, 82, 0.10);  
  color: var(--notice-alert);
}
.bar_chart_box {
  margin-top: 20px;
  padding: 20px 20px 0 20px;
  background-color: #fff;
}

/* 여러 차트 사이의 여백 정의 */
.bar_chart_item {
  display: flex;
  align-items: flex-start;
  height: 213px;
  padding-top: 20px;
  background-color: var(--white);
}

/* Y축 가이드 뱃지 영역 */
.chart_y_axis {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 146px; 
  box-sizing: border-box;
}
.axis_label_wrap {
  display: flex;
  align-items: center;
  height: 22px; 
}
.label_badge {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 61px;
  height: 22px;
  background-color: var(--light-gray);
  border-radius: 100px;  
  color: var(--black-80);
  font-size: 1.1rem;
}

/* 오른쪽 그래프 메인 영역 */
.chart_grid_content {
  position: relative;
  flex: 1;
  width: 100%;
  height: 132px;
  box-sizing: border-box;
}

/* 배경 점선 레이어 */
.grid_lines {
  position: absolute;
  top: 10px;
  left: 0;
  width: 100%;
  height: 127px; 
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  pointer-events: none;
}
.grid_line {
  width: 100%;
  height: 1px;
}
.grid_line.dot {
  border-top: 1px dashed var(--black-20);
}
.grid_line.solid {
  position: relative;
  border-top: 1.5px solid var(--black-60);
  z-index: 1;
}

/* 실제 막대 트랙 */
.chart_bars_track {
  display: flex;
  gap: 30px;
  position: absolute;
  top: 10px;
  left: 0;
  width: 100%;
  height: 127px;
  padding-left: 60px;
}
.bar_group {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 50px;
  /* height: 100%; */
}
.bar_container {
  position: relative;
  width: 100%;
  height: 220px; 
}
.bar_fill {
  position: absolute;
  bottom: 0;
  width: 100%;
  border-radius: 4px 4px 0 0;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding-top: 10px;
  box-sizing: border-box;
  transition: height 0.5s ease-in-out;
}
.bar_fill.user { 
  background: linear-gradient(166deg, #FF5252 0%, #FF7A7A 100%); 
  mix-blend-mode: multiply;
}
.bar_fill.average { 
  background: linear-gradient(174deg, #486FF9 0%, #7997FF 100%); 
  mix-blend-mode: multiply;
}
.bar_fill.user:after {
  content: '본인';
  position: absolute;
  bottom: -33px;
  left: 15px;
  color: var(--notice-alert);
  font-size: 1.3rem;
  font-weight: 600;
}
.bar_fill.average:after {
  content: '평균';
  position: absolute;
  bottom: -33px;
  left: 15px;
  color: var(--notice-em);
  font-size: 1.3rem;
  font-weight: 600;
}
.bar_percent_wrap {
  display: flex;
  align-items: end;
}
.bar_percent {
  font-size: 1.5rem;
  color: var(--white);
  vertical-align: baseline;
}
.bar_percent_unit {
  font-size: 1.1rem;
  color: var(--white); 
  vertical-align: baseline;
}
.bar_name {
  margin-top: 20px;
  font-size: 1.3rem;
  font-weight: 600;
}
.user_text { 
  color: var(--notice-alert); 
}
.average_text { 
  color: var(--notice-em); 
}
.spec_result_desc {
  margin-top: 20px;
  font-size: 1.4rem;
  line-height: 1.5;
  word-break: keep-all;
}
.spec_result_desc .over {
  color: var(--notice-alert);
}
.spec_result_desc .under {
  color: var(--notice-em);
  word-break: keep-all;
}
/* 합격전략 */
.pass_strategy_box {
  margin-top: 40px;
  padding: 40px 470px 40px 40px;
  border: 1px solid var(--black-10);
  background: 
    url('https://image.educe.co.kr/educe/spec/bg_pass_box.png') no-repeat right bottom / 470px,
    linear-gradient(102deg, #FFF 40.96%, #FCFCFD 99.41%, #EAEAEF 100%);
}
.highlight_box {
  position: relative;
  padding: 40px 40px 22px 40px;
  border: 10px solid var(--light-blue);
  background-color: #ffffff;
}
.highlight_box::before {
  content: '';
  position: absolute;
  top: -10px;;
  left: -10px;;
  width: 20px;
  height: 20px;
  border-top: 10px solid var(--notice-em);
  border-left: 10px solid var(--notice-em);
}
.highlight_box::after {
  content: '';
  position: absolute;
  bottom: -10px;
  right: -10px;;
  width: 20px;
  height: 20px;
  border-bottom: 10px solid var(--notice-em);
  border-right: 10px solid var(--notice-em);
}
.strategy_desc1 {
  display: inline-block;
  background-color: var(--black-80);
  color: var(--white);
  font-size: 3.1rem;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: -1.6px;
}
.strategy_desc2 {
  display: inline-block;
  margin-top: 16px;
  background: linear-gradient(to right, #486FF9, #46B8FF);
  color: var(--white);
  font-size: 4rem;
  font-weight: 600;
  line-height: 1.1;
  letter-spacing: -2px;
}
.strategy_desc3 {
  margin-top: 18px;
  color: #C8D3FF;
  font-size: 1.2rem;
  font-weight: 600;
  text-align: right;
}
.strategy_result {
  display: flex;
  flex-direction: column;
  gap: 30px;
  margin-top: 40px;
  padding: 0 40px;
  font-size: 1.8rem;
  line-height: 1.5;
}
.strategy_result_desc1 {
  position: relative;
  font-size: 2rem;
  font-weight: 600;
  letter-spacing: -1px;
}
.strategy_result_desc1:before {
  content: '';
  position: absolute;
  top: 6px;
  left: -24px;
  width: 18px;
  height: 18px;
  background: url(https://image.educe.co.kr/educe/spec/ic_bullit_circle.png) no-repeat left top/100%;
}
.desc_wrap {
  margin-top: 8px;
}
.predict_btn {
  width: 200px;
  margin: 60px auto 0;
}


.modal_wrap {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    overflow-x: hidden;
    overflow-y: auto;
    z-index: 500;
}


.s-btn{position: absolute;
    margin-left: -36px;
    width: 26px;
    margin-top: 10px;}

.univ_search_box .btn_form_delete {
    right: 40px;
}
.mt30{margin-top:30px}
.mt8rem{margin-top:8rem}
.search-table-mentor{display:none;}

.part_select_li .cnt{color: #ff6600;font-weight: 400;font-size: 1.2rem;}

.univ-nm-html{color: #ff7315;margin-right: 8px;}
.major-all-view{    border-radius: 5px;
    border: 1px solid #6b6b6b;
    height: 26px;
    padding: 0px 10px;
    margin-left: 20px;
    font-size: 1.1rem;
    font-weight: 500;
    margin-top: -4px;
    position: absolute;}

.modal_part_wrap .none{
    text-align: center;
    padding: 30px 0px;
    font-size: 1.4rem;cursor:default
}

.mentor-none{
      text-align: center;
    padding: 50px 0px 20px
}

.clr_blue {
    color:#0139ff !important
}

.btn_search_delete3 {
     display: none; 
  position: absolute;
    top: 11px;
    right: 37px;
    width: 22px;
    height: 22px;
    background: url(https://image.educe.co.kr/educe/main/ico_delete.png) no-repeat left top / cover;
}

.btn_search_delete3.show {
     display: flex
}

.spec_select_item label.label-sel{display: flex;
    width: initial;
    align-items: center;
    gap: 8px;
    padding: 0px 20px;    height: 46px;}

.spec_select_item label.label-sel .form_select {

    height: 30px;
    padding: 0 28px 0 10px;
}

.spec_select_item label.label-sel .form_select_row:after {
   
    top: 8px;
}
.prediction.btn_history{position:absolute;right:5px;top:115px}
.prediction.btn_history.report{top:45px}
.inner-in{width:1240px;;max-width: 1240px;margin: 0 auto;}

main.admin-view .wrap_sub {
    padding: 0;
    display: flex;
    justify-content: center;
}

main.admin-view .inner,
main.admin-view .sub_list_wrap,
main.admin-view .predict_btn
{display:none}
.admin-view-info{font-size:1.3rem;font-weight:400;color:#494949}

.input-data{    display: flex;
justify-content: end;
margin-top: -15px;gap:3px;    align-items: center;}
.input-data dt{font-size:1.2rem;font-weight: 300;margin-right:2px}
.input-data dd{font-size:1.45rem;color:#000;font-weight: 600;margin-right:15px}

.modal_cont.w600.mh170{min-height:170px}

.search_company_text.h40{height:40px}
.search-btn1.h40{height:40px}

.alert-txt-predict{margin-top: 1.5rem;margin-bottom: -1rem;font-size:13px;}
.spec_select_option.etc{flex-direction: column;width: initial;}

.spec_select_option.etc .alert-txt-predict {
    margin-top: -0.8rem;
    margin-bottom: -1rem;
    font-size: 13px;text-align: left;
    width: 100%;
}

.spec_select_tit.mtm2r{margin-top: -2rem;}
.predict_tit.orange{color: #ff3d00;}

.hot-icon{position:relative;display:block}
.hot-icon img{position: absolute;left:0;top: -50px;}
.spec-icon-free{position:relative}
.spec-icon-free img{position:absolute;left: -142px;top: -38px;}